Skip to main content
PUT
/
custom-fields
/
{id}
cURL
curl -X PUT https://api.growthbook.io/api/v1/custom-fields/{id} -d '{ ... }' -u secret_abc123DEF456
{
  "customField": {
    "id": "<string>",
    "dateCreated": "2023-11-07T05:31:56Z",
    "dateUpdated": "2023-11-07T05:31:56Z",
    "name": "<string>",
    "type": "text",
    "required": true,
    "sections": [
      "feature"
    ],
    "description": "<string>",
    "placeholder": "<string>",
    "defaultValue": "<string>",
    "values": "<string>",
    "creator": "<string>",
    "projects": [
      "<string>"
    ],
    "active": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://growthbook-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

If using Bearer auth, pass the Secret Key as the token:

curl https://api.growthbook.io/api/v1 \
-H "Authorization: Bearer secret_abc123DEF456"

Path Parameters

id
string
required

Body

application/json
name
string

The display name of the custom field

description
string
placeholder
string
defaultValue
values
string
required
boolean
projects
string[]
sections
enum<string>[]

What types of objects this custom field is applicable to (feature, experiment)

Available options:
feature,
experiment
active
boolean

Response

200 - application/json

Success

customField
object
required